Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc

# Class JavaTypeNameConstants

java.lang.Object
org.firebirdsql.jdbc.JavaTypeNameConstants

@InternalApi public final class JavaTypeNameConstants extends Object
String constants of the Java type names used in metadata and field access.

Author:
  Mark Rotteveel

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ARRAY_CLASS_NAME`
  `static final String`
  `BIG_DECIMAL_CLASS_NAME`
  `static final String`
  `BIG_INTEGER_CLASS_NAME`
  `static final String`
  `BLOB_CLASS_NAME`
  `static final String`
  `BOOLEAN_CLASS_NAME`
  `static final String`
  `BYTE_ARRAY_CLASS_NAME`
  `static final String`
  `BYTE_CLASS_NAME`
  `static final String`
  `CALENDAR_CLASS_NAME`
  `static final String`
  `CLOB_CLASS_NAME`
  `static final String`
  `DECIMAL_CLASS_NAME`
  `static final String`
  `DECIMAL128_CLASS_NAME`
  `static final String`
  `DECIMAL32_CLASS_NAME`
  `static final String`
  `DECIMAL64_CLASS_NAME`
  `static final String`
  `DOUBLE_CLASS_NAME`
  `static final String`
  `FB_BLOB_CLASS_NAME`
  `static final String`
  `FB_CLOB_CLASS_NAME`
  `static final String`
  `FB_ROW_ID_CLASS_NAME`
  `static final String`
  `FIREBIRD_BLOB_CLASS_NAME`
  `static final String`
  `FLOAT_CLASS_NAME`
  `static final String`
  `INPUT_STREAM_CLASS_NAME`
  `static final String`
  `INTEGER_CLASS_NAME`
  `static final String`
  `LOCAL_DATE_CLASS_NAME`
  `static final String`
  `LOCAL_DATE_TIME_CLASS_NAME`
  `static final String`
  `LOCAL_TIME_CLASS_NAME`
  `static final String`
  `LONG_CLASS_NAME`
  `static final String`
  `NCLOB_CLASS_NAME`
  `static final String`
  `OBJECT_CLASS_NAME`
  `static final String`
  `OFFSET_DATE_TIME_CLASS_NAME`
  `static final String`
  `OFFSET_TIME_CLASS_NAME`
  `static final String`
  `READER_CLASS_NAME`
  `static final String`
  `ROW_ID_CLASS_NAME`
  `static final String`
  `SHORT_CLASS_NAME`
  `static final String`
  `SQL_DATE_CLASS_NAME`
  `static final String`
  `STRING_CLASS_NAME`
  `static final String`
  `TIME_CLASS_NAME`
  `static final String`
  `TIMESTAMP_CLASS_NAME`
  `static final String`
  `UTIL_DATE_CLASS_NAME`
  `static final String`
  `ZONED_DATE_TIME_CLASS_NAME`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OBJECT_CLASS_NAME

    public static final String OBJECT_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### BOOLEAN_CLASS_NAME

    public static final String BOOLEAN_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### BYTE_CLASS_NAME

    public static final String BYTE_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### SHORT_CLASS_NAME

    public static final String SHORT_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### INTEGER_CLASS_NAME

    public static final String INTEGER_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### LONG_CLASS_NAME

    public static final String LONG_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### BIG_INTEGER_CLASS_NAME

    public static final String BIG_INTEGER_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### FLOAT_CLASS_NAME

    public static final String FLOAT_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### DOUBLE_CLASS_NAME

    public static final String DOUBLE_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### BIG_DECIMAL_CLASS_NAME

    public static final String BIG_DECIMAL_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### DECIMAL_CLASS_NAME

    public static final String DECIMAL_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### DECIMAL32_CLASS_NAME

    public static final String DECIMAL32_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### DECIMAL64_CLASS_NAME

    public static final String DECIMAL64_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### DECIMAL128_CLASS_NAME

    public static final String DECIMAL128_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### STRING_CLASS_NAME

    public static final String STRING_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### CLOB_CLASS_NAME

    public static final String CLOB_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### NCLOB_CLASS_NAME

    public static final String NCLOB_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### READER_CLASS_NAME

    public static final String READER_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### BLOB_CLASS_NAME

    public static final String BLOB_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### FIREBIRD_BLOB_CLASS_NAME

    public static final String FIREBIRD_BLOB_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### FB_BLOB_CLASS_NAME

    public static final String FB_BLOB_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### FB_CLOB_CLASS_NAME

    public static final String FB_CLOB_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### BYTE_ARRAY_CLASS_NAME

    public static final String BYTE_ARRAY_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### INPUT_STREAM_CLASS_NAME

    public static final String INPUT_STREAM_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### TIMESTAMP_CLASS_NAME

    public static final String TIMESTAMP_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### UTIL_DATE_CLASS_NAME

    public static final String UTIL_DATE_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### CALENDAR_CLASS_NAME

    public static final String CALENDAR_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### LOCAL_DATE_TIME_CLASS_NAME

    public static final String LOCAL_DATE_TIME_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### OFFSET_DATE_TIME_CLASS_NAME

    public static final String OFFSET_DATE_TIME_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### ZONED_DATE_TIME_CLASS_NAME

    public static final String ZONED_DATE_TIME_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### TIME_CLASS_NAME

    public static final String TIME_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### LOCAL_TIME_CLASS_NAME

    public static final String LOCAL_TIME_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### OFFSET_TIME_CLASS_NAME

    public static final String OFFSET_TIME_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### SQL_DATE_CLASS_NAME

    public static final String SQL_DATE_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### LOCAL_DATE_CLASS_NAME

    public static final String LOCAL_DATE_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### ARRAY_CLASS_NAME

    public static final String ARRAY_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### ROW_ID_CLASS_NAME

    public static final String ROW_ID_CLASS_NAME
    See Also:
      - Constant Field Values

  - ### FB_ROW_ID_CLASS_NAME

    public static final String FB_ROW_ID_CLASS_NAME
    See Also:
      - Constant Field Values